aboutsummaryrefslogtreecommitdiff
path: root/bin/murl
diff options
context:
space:
mode:
Diffstat (limited to 'bin/murl')
-rwxr-xr-xbin/murl18
1 files changed, 18 insertions, 0 deletions
diff --git a/bin/murl b/bin/murl
new file mode 100755
index 00000000..7b5dc050
--- /dev/null
+++ b/bin/murl
@@ -0,0 +1,18 @@
+#!/usr/bin/env bash
+
+#
+# Format markdown and pass it to hurl to extract URLs from it.
+#
+# Author: Tom Ryder <tom@sanctum.geek.nz>
+# Copyright: 2016
+# License: Public domain
+#
+
+# Check we have the programs we need
+hash pandoc hurl || exit
+
+# Pipe the output of pandoc(1) on our args ...
+pandoc -f markdown -t html -- "${@:-/dev/stdin}" |
+
+# ... into our own hurl
+hurl